Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFBorderFormatting

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFBorderFormatting

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.BorderFormatting

    public class XSSFBorderFormatting

extends java.lang.Object
implements org.apache.poi.ss.usermodel.BorderFormatting

Author:
  Yegor Kozlov

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.BorderFormatting
`BORDER_DASH_DOT, BORDER_DASH_DOT_DOT, BORDER_DASHED, BORDER_DOTTED, BORDER_DOUBLE, BORDER_HAIR, BORDER_MEDIUM, BORDER_MEDIUM_DASH_DOT, BORDER_MEDIUM_DASH_DOT_DOT, BORDER_MEDIUM_DASHED, BORDER_NONE, BORDER_SLANTED_DASH_DOT, BORDER_THICK, BORDER_THIN`

Method Summary
`short` | `getBorderBottom()`
`short` | `getBorderDiagonal()`
`short` | `getBorderLeft()`
`short` | `getBorderRight()`
`short` | `getBorderTop()`
`short` | `getBottomBorderColor()`
`short` | `getDiagonalBorderColor()`
`short` | `getLeftBorderColor()`
`short` | `getRightBorderColor()`
`short` | `getTopBorderColor()`
`void` | `setBorderBottom(short border)`
`void` | `setBorderDiagonal(short border)`
`void` | `setBorderLeft(short border)`
`void` | `setBorderRight(short border)`
`void` | `setBorderTop(short border)`
`void` | `setBottomBorderColor(short color)`
`void` | `setDiagonalBorderColor(short color)`
`void` | `setLeftBorderColor(short color)`
`void` | `setRightBorderColor(short color)`
`void` | `setTopBorderColor(short color)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBorderBottom

    public short getBorderBottom()

  Specified by:
    `getBorderBottom` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getBorderDiagonal

    public short getBorderDiagonal()

  Specified by:
    `getBorderDiagonal` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getBorderLeft

    public short getBorderLeft()

  Specified by:
    `getBorderLeft` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getBorderRight

    public short getBorderRight()

  Specified by:
    `getBorderRight` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getBorderTop

    public short getBorderTop()

  Specified by:
    `getBorderTop` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getBottomBorderColor

    public short getBottomBorderColor()

  Specified by:
    `getBottomBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getDiagonalBorderColor

    public short getDiagonalBorderColor()

  Specified by:
    `getDiagonalBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getLeftBorderColor

    public short getLeftBorderColor()

  Specified by:
    `getLeftBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getRightBorderColor

    public short getRightBorderColor()

  Specified by:
    `getRightBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### getTopBorderColor

    public short getTopBorderColor()

  Specified by:
    `getTopBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setBorderBottom

    public void setBorderBottom(short border)

  Specified by:
    `setBorderBottom` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setBorderDiagonal

    public void setBorderDiagonal(short border)

  Specified by:
    `setBorderDiagonal` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setBorderLeft

    public void setBorderLeft(short border)

  Specified by:
    `setBorderLeft` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setBorderRight

    public void setBorderRight(short border)

  Specified by:
    `setBorderRight` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setBorderTop

    public void setBorderTop(short border)

  Specified by:
    `setBorderTop` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setBottomBorderColor

    public void setBottomBorderColor(short color)

  Specified by:
    `setBottomBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setDiagonalBorderColor

    public void setDiagonalBorderColor(short color)

  Specified by:
    `setDiagonalBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setLeftBorderColor

    public void setLeftBorderColor(short color)

  Specified by:
    `setLeftBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setRightBorderColor

    public void setRightBorderColor(short color)

  Specified by:
    `setRightBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

### setTopBorderColor

    public void setTopBorderColor(short color)

  Specified by:
    `setTopBorderColor` in interface `org.apache.poi.ss.usermodel.BorderFormatting`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD